/*!
 * Copyright 2017 Chris Johns <chrisj@rtems.org>
 */

/*
 * Embed the XML catalogue in this JS code to get around the Chrome on Windows
 * security "feature" where loading of a local disk file under the same path as
 * the HTML Chrome just loaded from disk is not allowed.
 */
function coverPageCatalogue() {
    xml = '<?xml version="1.0" ?> \
<rtems-docs date="10th July 2017"> \
  <catalogue>4.11.2</catalogue> \
  <doc> \
    <name>user</name> \
    <title>RTEMS User Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>user/index.html</html> \
    <pdf>user.pdf</pdf> \
    <singlehtml>user.html</singlehtml> \
  </doc> \
  <doc> \
    <name>rsb</name> \
    <title>RTEMS Source Builder Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>rsb/index.html</html> \
    <pdf>rsb.pdf</pdf> \
    <singlehtml>rsb.html</singlehtml> \
  </doc> \
  <doc> \
    <name>c-user</name> \
    <title>RTEMS C User Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>c-user/index.html</html> \
    <pdf>c-user.pdf</pdf> \
    <singlehtml>c-user.html</singlehtml> \
  </doc> \
  <doc> \
    <name>bsp-howto</name> \
    <title>RTEMS BSP and Device Driver Development Guide</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>bsp-howto/index.html</html> \
    <pdf>bsp-howto.pdf</pdf> \
    <singlehtml>bsp-howto.html</singlehtml> \
  </doc> \
  <doc> \
    <name>posix-users</name> \
    <title>RTEMS POSIX User Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>posix-users/index.html</html> \
    <pdf>posix-users.pdf</pdf> \
    <singlehtml>posix-users.html</singlehtml> \
  </doc> \
  <doc> \
    <name>filesystem</name> \
    <title>RTEMS Filesystem Design Guide</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>filesystem/index.html</html> \
    <pdf>filesystem.pdf</pdf> \
    <singlehtml>filesystem.html</singlehtml> \
  </doc> \
  <doc> \
    <name>networking</name> \
    <title>RTEMS Networking User Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>networking/index.html</html> \
    <pdf>networking.pdf</pdf> \
    <singlehtml>networking.html</singlehtml> \
  </doc> \
  <doc> \
    <name>shell</name> \
    <title>RTEMS Shell Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>shell/index.html</html> \
    <pdf>shell.pdf</pdf> \
    <singlehtml>shell.html</singlehtml> \
  </doc> \
  <doc> \
    <name>cpu-supplement</name> \
    <title>RTEMS CPU Supplement Documentation</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>cpu-supplement/index.html</html> \
    <pdf>cpu-supplement.pdf</pdf> \
    <singlehtml>cpu-supplement.html</singlehtml> \
  </doc> \
  <doc> \
    <name>develenv</name> \
    <title>RTEMS User Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>develenv/index.html</html> \
    <pdf>develenv.pdf</pdf> \
    <singlehtml>develenv.html</singlehtml> \
  </doc> \
  <doc> \
    <name>eclipse</name> \
    <title>RTEMS Eclipse Manual</title> \
    <release>4.11.2</release> \
    <version>4.11.2</version> \
    <html>eclipse/index.html</html> \
    <pdf>eclipse.pdf</pdf> \
    <singlehtml>eclipse.html</singlehtml> \
  </doc> \
</rtems-docs> \
';
    paintCatalogue($.parseXML(xml));
}
